VIGRA - VIGRA: RGB2XYZFunctor Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RGB2XYZFunctor [Color Space Conversions] |

Convert linear (raw) RGB into standardized tri-stimulus XYZ. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef NumericTraits< T > ::RealPromote | component_type
typedef TinyVector < component_type, 3 > | result_type
typedef TinyVector < component_type, 3 > | value_type
## Public Member Functions
result_type | operator() (argument_type const &rgb) const
| RGB2XYZFunctor (component_type max)
| RGB2XYZFunctor ()

## Detailed Description

### template<class T>
class vigra::RGB2XYZFunctor< T >

Convert linear (raw) RGB into standardized tri-stimulus XYZ.

#include <vigra/colorconversions.hxx>
Namespace: vigra

According to ITU-R Recommendation BT.709, the functor realizes the transformation

By default, . This default can be overridden in the constructor. X, Y, and Z are always positive and reach their maximum for white. The white point is obtained by transforming RGB(255, 255, 255). It corresponds to the D65 illuminant. Y represents the luminance ("brightness") of the color.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

the functor's argument type

typedef NumericTraits<T>::RealPromote component_type

the result's component type

typedef TinyVector<component_type, 3> result_type

the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

RGB2XYZFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

RGB2XYZFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | argument_type const & | rgb | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)